Bug 1327505 - python-oslo-log: Provide a Python 3 subpackage [NEEDINFO]
Summary: python-oslo-log: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-oslo-log (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Orsava
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-04-15 09:18 UTC by Tomas Orsava
Modified: 2016-07-08 16:12 UTC (History)
4 users (show)

Fixed In Version: python-oslo-log-3.2.0-2.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-08 16:12:10 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
torsava: needinfo? (karlthered)


Attachments (Terms of Use)
Patch to provide Python 3 tests subpackage (1.89 KB, patch)
2016-06-03 08:54 UTC, Charalampos Stratakis
no flags Details | Diff

Description Tomas Orsava 2016-04-15 09:18:00 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Charalampos Stratakis 2016-06-03 08:54 UTC
Created attachment 1164375 [details]
Patch to provide Python 3 tests subpackage

Comment 2 Tomas Orsava 2016-06-08 09:41:32 UTC
Hi Charalampos!
The patch looks good!

Please make sure that the new subpackage installs correctly and can be used/imported.

Thanks!

Comment 3 Tomas Orsava 2016-06-08 09:41:32 UTC
Hi Charalampos!
The patch looks good!

Please make sure that the new subpackage installs correctly and can be used/imported.

Thanks!

Comment 4 Tomas Orsava 2016-06-08 09:43:09 UTC
Hi Haïkel,
as this is a bit of a time sensitive issue, we would really appreciate if you could take a look at the patch as soon as possible.
If you are time constrained right now, I hope you won't mind if we do the review and push the changes ourselves in case you are unable.

Thank you!

Comment 5 Charalampos Stratakis 2016-06-08 11:44:50 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14421206

Also tested in mock and works as expected.


Note You need to log in before you can comment on or make changes to this bug.